Bug 608927 - "busybox grep -Fi" doesn't work as expected
"busybox grep -Fi" doesn't work as expected
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: busybox (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Denys Vlasenko
qe-baseos-daemons
:
Depends On:
Blocks: 752134
  Show dependency treegraph
 
Reported: 2010-06-28 19:08 EDT by Bryan Mason
Modified: 2013-04-12 16:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The grep applet was ignoring the "-i" command line option if the "-F" option was also used. Consequent to this, the "grep -iF" command incorrectly performed a case sensitive search instead of the case insensitive one. This update applies a patch to ensure that this combination of command line options works as expected.
Story Points: ---
Clone Of:
: 752134 (view as bug list)
Environment:
Last Closed: 2011-05-18 10:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.32 KB, patch)
2010-06-28 20:18 EDT, Bryan Mason
no flags Details | Diff

  None (edit)
Description Bryan Mason 2010-06-28 19:08:10 EDT
Description of problem:

    The grep implementation in busybox does not support the "-F"
    option and the "-i" option at the same time.

Version-Release number of selected component (if applicable):

    busybox-1.2.0-7.el5

How reproducible:

    100%

Steps to Reproduce:

    echo "Red Hat" | busybox grep -Fi "hat"
  
Actual results:

    Nothing

Expected results:

    "Red Hat"

Already fixed upstream:
  
http://git.busybox.net/busybox/commit/?id=0a2c793bd61540629d5686adb5afd2ada19d624f
Comment 1 Bryan Mason 2010-06-28 20:18:22 EDT
Created attachment 427531 [details]
Proposed patch

Based on upstream.  Verified that it implements -Fi correctly.  Committed to private-bz608927-branch.
Comment 3 Denys Vlasenko 2010-07-15 11:10:32 EDT
The patch is trivially correct.
Comment 8 Denys Vlasenko 2011-04-05 08:25:09 EDT
New build with the fix:

https://brewweb.devel.redhat.com/taskinfo?taskID=3230167
Comment 11 Jaromir Hradilek 2011-05-18 07:17:12 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The grep applet was ignoring the "-i" command line option if the "-F" option was also used. Consequent to this, the "grep -iF" command incorrectly performed a case sensitive search instead of the case insensitive one. This update applies a patch to ensure that this combination of command line options works as expected.
Comment 12 errata-xmlrpc 2011-05-18 10:59:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0815.html

Note You need to log in before you can comment on or make changes to this bug.